Debian Bug report logs - #604606
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:museek+; Maintainer for src:museek+ is Debian QA Group <packages@qa.debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Tue, 23 Nov 2010 00:57:02 UTC

Severity: important

Tags: sid, wheezy

Found in version museek+/1:0.2+svn20100315.r1208-1

Fixed in version museek+/1:0.2+svn20100315.r1208-2

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#604606; Package src:museek+. (Tue, 23 Nov 2010 00:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Tue, 23 Nov 2010 00:57:04 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Tue, 23 Nov 2010 01:53:59 +0100
Source: museek+
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Added indication that bug 604606 blocks 604337 Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 23 Nov 2010 01:09:08 GMT) Full text and rfc822 format available.

Added indication that bug 604606 blocks 604374 Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 23 Nov 2010 01:15:13 GMT) Full text and rfc822 format available.

Removed indication that bug 604606 blocks 604337 Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 23 Nov 2010 01:21:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions museek+/1:0.2+svn20100315.r1208-1. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 23 Nov 2010 11:09:10 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:29:07 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:35:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:37:08 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. (Mon, 21 May 2012 21:45:17 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Mon, 21 May 2012 21:45:17 GMT) Full text and rfc822 format available.

Message #24 received at 604606-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 604606-close@bugs.debian.org
Subject: Bug#604606: fixed in museek+ 1:0.2+svn20100315.r1208-2
Date: Mon, 21 May 2012 21:41:18 +0000
Source: museek+
Source-Version: 1:0.2+svn20100315.r1208-2

We believe that the bug you reported is fixed in the latest version of
museek+, which is due to be installed in the Debian FTP archive:

mucous_0.2+svn20100315.r1208-2_all.deb
  to main/m/museek+/mucous_0.2+svn20100315.r1208-2_all.deb
murmur_0.2+svn20100315.r1208-2_all.deb
  to main/m/museek+/murmur_0.2+svn20100315.r1208-2_all.deb
museek+_0.2+svn20100315.r1208-2.diff.gz
  to main/m/museek+/museek+_0.2+svn20100315.r1208-2.diff.gz
museek+_0.2+svn20100315.r1208-2.dsc
  to main/m/museek+/museek+_0.2+svn20100315.r1208-2.dsc
museekd-tools_0.2+svn20100315.r1208-2_all.deb
  to main/m/museek+/museekd-tools_0.2+svn20100315.r1208-2_all.deb
museekd_0.2+svn20100315.r1208-2_amd64.deb
  to main/m/museek+/museekd_0.2+svn20100315.r1208-2_amd64.deb
museeq-locales_0.2+svn20100315.r1208-2_all.deb
  to main/m/museek+/museeq-locales_0.2+svn20100315.r1208-2_all.deb
museeq_0.2+svn20100315.r1208-2_amd64.deb
  to main/m/museek+/museeq_0.2+svn20100315.r1208-2_amd64.deb
musetup-gtk_0.2+svn20100315.r1208-2_all.deb
  to main/m/museek+/musetup-gtk_0.2+svn20100315.r1208-2_all.deb
python-museek_0.2+svn20100315.r1208-2_amd64.deb
  to main/m/museek+/python-museek_0.2+svn20100315.r1208-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604606@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated museek+ package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 21 May 2012 21:45:33 +0200
Source: museek+
Binary: museekd python-museek museeq mucous museekd-tools musetup-gtk museeq-locales murmur
Architecture: source amd64 all
Version: 1:0.2+svn20100315.r1208-2
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 mucous     - Python/curses client for museekd
 murmur     - PyGTK2 client for Museekd, the P2P Soulseek Daemon
 museekd    - Client for the SoulSeek peer-to-peer network (server daemon)
 museekd-tools - Tools to manage a museekd daemon
 museeq     - Qt client for museekd
 museeq-locales - Translations for museeq
 musetup-gtk - Gtk based museekd configuration utility
 python-museek - Python bindings for museek+
Closes: 601567 604606
Changes: 
 museek+ (1:0.2+svn20100315.r1208-2) unstable; urgency=low
 .
   * QA upload, orphaning package.
   * Drop musetup-qt based in Qt3. (Closes: #604606)
   * Modify debian/*.desktop files according with Freedesktop.org spec.
     Thanks to Angel Abad. (Closes: #601567)
Checksums-Sha1: 
 97d4aee5e8f91f8ba57deb6b3a1287025a63f2dc 2290 museek+_0.2+svn20100315.r1208-2.dsc
 9ca90d0de105612027916c19fef8a10816ca54fa 8627 museek+_0.2+svn20100315.r1208-2.diff.gz
 c37a25e49b701d42f62614ff261530e0e112a5dc 881994 museekd_0.2+svn20100315.r1208-2_amd64.deb
 5b303300c38ad1a9d5215c777cedb0ceb4339490 66714 python-museek_0.2+svn20100315.r1208-2_amd64.deb
 fc0c106d9a2bb923f3dc519ca4791eb9fddf5bb3 1271900 museeq_0.2+svn20100315.r1208-2_amd64.deb
 910c1858deed9418a37f00099b2a03bb8b9367dc 109458 mucous_0.2+svn20100315.r1208-2_all.deb
 d7dfdf3230457574bc3108aa8a266e2abaf7ed7a 18786 museekd-tools_0.2+svn20100315.r1208-2_all.deb
 e991e387b93e906eabe65bb7a414c6deb465e44f 66878 musetup-gtk_0.2+svn20100315.r1208-2_all.deb
 14af5b6a99e63495de0a4973cc0e46376188b587 77300 museeq-locales_0.2+svn20100315.r1208-2_all.deb
 3728937703a98bb8ff77240e8a9c0a10dc81b5c0 162062 murmur_0.2+svn20100315.r1208-2_all.deb
Checksums-Sha256: 
 ac9f0decbf715db698454fe404aafbc0d2d8994568e6e1725014702ccc73bcdb 2290 museek+_0.2+svn20100315.r1208-2.dsc
 ea139d9d7e46729054bdd0abcfaf4152035e5aa3eb5c5bec8d140865b26519c1 8627 museek+_0.2+svn20100315.r1208-2.diff.gz
 d4c862dd3918aa69a8ca98a8bc0e5f1db9a086603aa7d816a19c54fad2e7f76c 881994 museekd_0.2+svn20100315.r1208-2_amd64.deb
 4ddebe72672eebda769c1858c50fe3af04f1c1e530ac9ff70c2598efc9bd1a6d 66714 python-museek_0.2+svn20100315.r1208-2_amd64.deb
 66745ddaa6e6c99c0d77a5dd27bcc218bfaf16107fd886d0d4e6724a040f8108 1271900 museeq_0.2+svn20100315.r1208-2_amd64.deb
 8748ec43653c36362d4516b7991b8062b9767c01a349930e9f3f303e1ecf00af 109458 mucous_0.2+svn20100315.r1208-2_all.deb
 9b1fc47c121e67c16aec086d64d654175b6f704792fa92153121a3f6f0fcaa4f 18786 museekd-tools_0.2+svn20100315.r1208-2_all.deb
 c586706f23100c3d35be6d85cc4cddb64c571429821f9251797fe2678e377d7b 66878 musetup-gtk_0.2+svn20100315.r1208-2_all.deb
 5486e383d0766539290675e37d7644b27bb589844e04c2165c2281c59268013c 77300 museeq-locales_0.2+svn20100315.r1208-2_all.deb
 6e86e697040227ab4761821b0d0fbef000282f4d0ee8ccedb264abc00dfc7fe8 162062 murmur_0.2+svn20100315.r1208-2_all.deb
Files: 
 5d231734e865dcea532599194485fc6e 2290 net optional museek+_0.2+svn20100315.r1208-2.dsc
 92cc885a528a40890069779b674d5b93 8627 net optional museek+_0.2+svn20100315.r1208-2.diff.gz
 5f774483a142d8de721c0eceb20589d4 881994 net optional museekd_0.2+svn20100315.r1208-2_amd64.deb
 723719620f5fb93360d631247d323957 66714 python optional python-museek_0.2+svn20100315.r1208-2_amd64.deb
 8bcbc82764092be4161ba4a2785717a3 1271900 net optional museeq_0.2+svn20100315.r1208-2_amd64.deb
 c5f6e096e8e6a9da78c2bddf7260aa1b 109458 net optional mucous_0.2+svn20100315.r1208-2_all.deb
 2939d01b486dc0c1fd2fdaf8134aa46a 18786 net optional museekd-tools_0.2+svn20100315.r1208-2_all.deb
 557fbc8dab1936ab3d18a2f01796bb83 66878 net optional musetup-gtk_0.2+svn20100315.r1208-2_all.deb
 e37d4f43ac5a89dff118b045a6c5a09b 77300 net optional museeq-locales_0.2+svn20100315.r1208-2_all.deb
 daa24bbd333cd380582b69345993b379 162062 net optional murmur_0.2+svn20100315.r1208-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJPuqCTAAoJELNGT4lqoVlISlYQAJk01Xy7Ui0vPGYbcXQoXXbq
aZrygxsU8qXNA4JSk6cA7uvRV7z9zbIcVAEhJn3mAqJL7yxlT+eWsq9gFiK72r4o
h163KYlIlbdVxFqHhJfRo/GwcTU1qQfrLBIhjFvP6latwtROSHla1/a8LSbC46kw
eBRBUdclTg2HOHgJEUn54TtLp1xB5fk9CAuKMsuPET7JbabyocmIHYqrG9c5Jysx
VYToYQn8Jd/qAW5c79s4LM1JuekjYLinPa8v1oOhbnMHxHebL4UkhVEpaArbjipD
45vIKadTG+64Mpjk/030RqVhZDYDPHAb9M+bej5+Frbuwi+8MTShbO2t2L8i3Dq3
Bg6oQz5Bo3/DVBRWvg2ZgsyaWwEjZi/U6ieNzU38uqo5SSdKm3ueQGQNx5TRRRnM
cM3ZxjUImG4GO5C/dx/Nx8n00hiz47SioFeUe9HnjIDhgDzdHOkinlQalokhi+OF
zMRf/GA0u203wpZhOr7Z76XjbIylJjn7iZAzP/YjHipH8qXqESL3DVS8EvPaYBEL
dRuCynOvzpkym90o0ECj9aExnBJFSYXA12VzpnEVFtrzu7TtpO1s3LxTLw+Sezq7
T3udfnBlankdP7lOfRggNGm29+S0rwscGbpHznpxLS0zPyDVDIuCLe7qMkJ5YB4b
FdOPKS0qpBsJrcJSvWRW
=jq9v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Jun 2012 07:32:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:31:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.